org.apache.fop.render.pcl.fonts

## Enum PCLCharacterDefinition.PCLCharacterFormat

- java.lang.Object
- - java.lang.Enum<PCLCharacterDefinition.PCLCharacterFormat>
  - - org.apache.fop.render.pcl.fonts.PCLCharacterDefinition.PCLCharacterFormat

All Implemented Interfaces:
  Serializable, Comparable<PCLCharacterDefinition.PCLCharacterFormat>

Enclosing class:
  PCLCharacterDefinition

    public static enum PCLCharacterDefinition.PCLCharacterFormat
    extends Enum<PCLCharacterDefinition.PCLCharacterFormat>

Character Format used in PCL Character Descriptor See Table 11-50 from PCL 5 Specification

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Intellifont`
`LaserJet_Raster`
`TrueType`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getValue()`
`static PCLCharacterDefinition.PCLCharacterFormat` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PCLCharacterDefinition.PCLCharacterFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LaserJet_Raster

    public static final PCLCharacterDefinition.PCLCharacterFormat LaserJet_Raster

#### Intellifont

    public static final PCLCharacterDefinition.PCLCharacterFormat Intellifont

#### TrueType

    public static final PCLCharacterDefinition.PCLCharacterFormat TrueType

### Method Detail

#### values

    public static PCLCharacterDefinition.PCLCharacterFormat[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PCLCharacterDefinition.PCLCharacterFormat c : PCLCharacterDefinition.PCLCharacterFormat.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PCLCharacterDefinition.PCLCharacterFormat valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getValue

    public int getValue()